{
  "name": "gcls_page_exercise",
  "version": "0.1.0",
  "private": true,
  "scripts": {
    "dev": "vue-cli-service serve",
    "build": "vue-cli-service build",
    "lint": "vue-cli-service lint",
    "postinstall": "patch-package"
  },
  "dependencies": {
    "@tinymce/tinymce-vue": "^3.2.8",
    "axios": "^1.6.8",
    "core-js": "^3.36.1",
    "dompurify": "^3.0.9",
    "element-ui": "^2.15.14",
    "hanzi-writer": "^3.6.1",
    "js-audio-recorder": "^1.0.7",
    "js-cookie": "^3.0.5",
    "md5": "^2.3.0",
    "nprogress": "^0.2.0",
    "tinymce": "^5.10.9",
    "vue": "^2.6.14",
    "vue-i18n": "^8.28.2",
    "vue-router": "^3.6.5",
    "vuedraggable": "^2.24.3",
    "vuex": "^3.6.2"
  },
  "devDependencies": {
    "@babel/core": "^7.24.0",
    "@babel/eslint-parser": "^7.23.10",
    "@rushstack/eslint-patch": "^1.7.2",
    "@types/md5": "^2.3.5",
    "@vue/cli-plugin-babel": "~5.0.8",
    "@vue/cli-plugin-eslint": "~5.0.8",
    "@vue/cli-service": "~5.0.8",
    "@vue/eslint-config-prettier": "^9.0.0",
    "@vue/preload-webpack-plugin": "^2.0.0",
    "babel-plugin-dynamic-import-node": "^2.3.3",
    "compression-webpack-plugin": "^6.1.2",
    "eslint": "^8.57.0",
    "eslint-plugin-prettier": "^5.1.3",
    "eslint-plugin-vue": "^9.23.0",
    "patch-package": "^8.0.0",
    "postcss-html": "^1.6.0",
    "prettier": "^3.2.5",
    "sass": "^1.72.0",
    "sass-loader": "^13.3.3",
    "stylelint": "^15.11.0",
    "stylelint-config-recess-order": "^4.6.0",
    "stylelint-config-recommended-scss": "^14.0.0",
    "stylelint-config-recommended-vue": "^1.5.0",
    "stylelint-config-standard-scss": "^12.0.0",
    "stylelint-declaration-block-no-ignored-properties": "^2.8.0",
    "stylelint-webpack-plugin": "^4.1.1",
    "svg-sprite-loader": "^6.0.11",
    "svgo": "^3.2.0",
    "vue-template-compiler": "^2.6.14"
  },
  "engines": {
    "node": ">=14.21.3"
  },
  "browserslist": [
    "> 1%",
    "last 2 versions",
    "not dead"
  ]
}
